---
- name: Install incrontab
  ansible.builtin.apt:
    update_cache: yes
    pkg: incron
    state: present

- name: Store is allowed to use incron
  ansible.builtin.lineinfile:
    path: /etc/incron.allow
    line: store
    state: present

- name: Uploading versioning script
  ansible.builtin.copy:
    src: templates/on_new_store_item
    remote_src: no
    dest: /usr/local/sbin/on_new_store_item
    owner: root
    group: root
    mode: "0755"

- name: Installing the incron job with the script
  ansible.builtin.lineinfile:
    path: /var/spool/incron/store
    owner: store
    group: incron
    mode: "0600"
    state: present
    create: true
    regexp: '^/(blob|store)[	 ].*[	 ]/usr/local/sbin/on_new_store_item \$@ \$#$'
    line: '/blob IN_CREATE,IN_DONT_FOLLOW,recursive=true,dotdirs=true	/usr/local/sbin/on_new_store_item $@ $#'
